.features__section {
  position: relative;
  padding: 6rem 0;
  background: #f4f7ff;

  .container {
    display: flex;
    flex-direction: row-reverse;
    gap: 2rem;

    @media screen and (max-width: $width-desktop) {
      flex-direction: column;
    }
  }
}

.features__items {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 2rem;

  @media screen and (max-width: $width-desktop) {
    gap: 3rem;
  }

  .features__item {
    display: flex;
    align-items: flex-start;
    gap: $gap-padding;

    @media screen and (max-width: $width-medium) {
      flex-direction: column;
      align-items: center;
      text-align: center;
    }

    .features__item-content {
      margin-top: 8px;
      flex: 1;

      .features__content-title {
        color: $black-text-color;
        font-weight: $bold-font;
        margin-bottom: $gap-padding;
      }

      .features__content-description {
        line-height: 140%;
      }
    }

    path {
      stroke: $main-color;
    }
  }
}

.features__title {
  font-size: $h3-font-size;
  flex: 1;

  @media screen and (max-width: $width-desktop) {
    text-align: center;
  }
}

.code__editor {
  position: absolute;
  right: 0;
  bottom: 8%;
  width: 49%;
  height: 68%;
  background: url("../../img/backgrounds/code-editor.jpeg");
  background-size: cover;

  @media screen and (max-width: $width-desktop) {
    position: relative;
    width: 100%;
    height: 400px;
  }
}
